API

Get Started

WelcomeQuickstartExamplesChangelogSDKs and ToolsOrder Limits

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Instrument Details

GETGet all instrumentsGETGet instrument

Market Data

POSTGet quotesPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Option Details

Get strategy quote

Get quote for multi-leg option strategy

Get a quote for a multi-leg option strategy including all legs and combined pricing

POST/userapigateway/option-details/{accountId}/strategy-details/quote

Parameters

Path Parameters

string

Request body

Required*

Parameters

NameTypeRequiredDescription
accountIdstringYes-

Body

application/json

Request Body

application/json
baseSymbolstringrequired

Base symbol for the strategy

optionLegsobject[]required

Option legs for the order.

equityLeg

Leg definition for the strategy.

Responses

Response

200
application/json
debitCreditenum<string>

Flag to determine if the strategy is a debit or credit strategy. If the price is close to $0.00 or the spread is across $0.00, e.g. bid = -$0.10 and ask = $0.20 then UNKNOWN is returned.

Available options: DEBIT,CREDIT,UNDECIDED
strategyLegsobject[]required

Legs and their quotes.

equityQuote
pricestringrequired

Strategy price.

bidstringrequired

Strategy bid (same value as price).

askstringrequired

Strategy ask.

markstring

Mark price, average of bid/ask

strategyNamestringrequired

Name of the strategy.

expirationDatestring

Strategy expiration date. Null if legs expire on different dates or equity leg is part of strategy.

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "debitCredit": "DEBIT",
  "strategyLegs": [
    {
      "instrument": {
        "symbol": "string",
        "baseSymbol": "string",
        "type": "CALL",
        "strikePrice": "string",
        "expirationDate": "2023-11-07"
      },
      "side": "BUY",
      "openCloseIndicator": "OPEN",
      "ratioQuantity": 123,
      "quote": {
        "symbol": "string",
        "last": "string",
        "bid": "string",
        "bidSize": "string",
        "ask": "string",
        "askSize": "string",
        "timestamp": "2023-11-07T05:31:56Z",
        "signature": "string",
        "collarPercentage": "string",
        "buyCollar": "string",
        "sellCollar": "string",
        "openInterest": 123,
        "bidCollar": "string",
        "askCollar": "string",
        "detail": null,
        "tradingHalted": true,
        "uptickRule": "TRIGGERED"
      }
    }
  ],
  "equityQuote": {
    "instrument": {
      "symbol": "string",
      "baseSymbol": "string",
      "type": "CALL",
      "strikePrice": "string",
      "expirationDate": "2023-11-07"
    },
    "side": "BUY",
    "openCloseIndicator": "OPEN",
    "ratioQuantity": 123,
    "quote": {
      "symbol": "string",
      "last": "string",
      "bid": "string",
      "bidSize": "string",
      "ask": "string",
      "askSize": "string",
      "timestamp": "2023-11-07T05:31:56Z",
      "signature": "string",
      "collarPercentage": "string",
      "buyCollar": "string",
      "sellCollar": "string",
      "openInterest": 123,
      "bidCollar": "string",
      "askCollar": "string",
      "detail": null,
      "tradingHalted": true,
      "uptickRule": "TRIGGERED"
    }
  },
  "price": "string",
  "bid": "string",
  "ask": "string",
  "mark": "string",
  "strategyName": "string",
  "expirationDate": "2023-11-07"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more